Bug 30668 - Paragraph size limit in 65k symbols (17171)
Summary: Paragraph size limit in 65k symbols (17171)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Caolán McNamara
QA Contact:
URL: http://www.openoffice.org/issues/show...
Whiteboard:
Keywords:
: 48048 50228 60451 66993 (view as bug list)
Depends on:
Blocks: 42561
  Show dependency treegraph
 
Reported: 2010-10-06 16:30 UTC by Hidden
Modified: 2014-07-31 16:25 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
Press Enter at the end of the line to freeze (or crash) LibreOffice. (10.14 KB, application/vnd.oasis.opendocument.text)
2012-11-12 22:58 UTC, László Németh
Details
Crash log file (88.82 KB, text/plain)
2012-11-12 23:00 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hidden 2010-10-06 16:30:53 UTC
Maybe someone fix this idiotic bug?
Comment 1 Cédric Bosdonnat 2010-10-07 00:28:18 UTC
This is not really an easy to fix bug as this size is set by some internal data structure...
Comment 3 Don't use this account, use tml@iki.fi 2010-11-19 05:13:41 UTC
Assigning to Cedric for now.
Comment 4 Rainer Bielefeld Retired 2010-12-18 10:48:45 UTC
I believe it's the same as a.m. OOo issue.
Comment 5 Rafael Dominguez 2011-06-17 12:19:04 UTC
Anyone working on this???
Comment 6 Cédric Bosdonnat 2011-06-20 00:41:40 UTC
(In reply to comment #5)
> Anyone working on this???

No, I don't think so. Feel free to go on that one if you like.
Comment 7 Urmas 2012-03-30 05:43:46 UTC
*** Bug 48048 has been marked as a duplicate of this bug. ***
Comment 8 Julien Nabet 2012-09-21 21:30:18 UTC
*** Bug 55125 has been marked as a duplicate of this bug. ***
Comment 9 Urmas 2012-10-31 02:17:48 UTC
*** Bug 50228 has been marked as a duplicate of this bug. ***
Comment 10 László Németh 2012-11-12 22:57:05 UTC
It is not a minor problem. Bug 55125 is about crashes. A new report (http://libreoffice.hu/2012/11/01/libreoffice-3-6-3/#comment-2237, in Hungarian) is also about crashes on Mac OS X after repeated text insertion. I have made a test file for Linux. Press Enter in the end of the line. It freezes (sometimes crashes) LibreOffice. I have attached a log file, too.
Comment 11 László Németh 2012-11-12 22:58:45 UTC
Created attachment 69966 [details]
Press Enter at the end of the line to freeze (or crash) LibreOffice.
Comment 12 László Németh 2012-11-12 23:00:34 UTC
Created attachment 69967 [details]
Crash log file
Comment 13 Urmas 2013-02-07 23:56:55 UTC
*** Bug 60451 has been marked as a duplicate of this bug. ***
Comment 14 matta2006 2013-02-19 09:05:36 UTC Comment hidden (me-too)
Comment 15 matta2006 2013-02-19 09:07:11 UTC
Sorry, I opened bug https://bugs.freedesktop.org/show_bug.cgi?id=60732, not the previous one.
Comment 16 Luuk 2013-07-06 12:14:10 UTC Comment hidden (no-value)
Comment 17 matta2006 2013-07-06 12:24:15 UTC
Spaces counts as well.
The only thing that is resetting the count is a change of paragraph.
Comment 18 matta2006 2013-07-06 12:26:00 UTC
To better understand the issue, have a look a my duplicate of this bug.
https://bugs.freedesktop.org/show_bug.cgi?id=60732

Regards.
Comment 19 Gerry 2013-07-06 12:27:37 UTC
@Luuk: Thanks for looking into this bug. I think, the title of the same bug in the Apache OpenOffice bug system is better: "Paragraph cannot be longer than 65534 characters". It does not mean that a word is too long, but a paragraph is too long.

Apparently in law studies and law-related documents, this limit is a very critical one.
Comment 20 Manolo Mondragón 2013-07-06 17:27:05 UTC
The bug refers to the size limit of the paragraph not the word, the
paragraph may contain spaces.
A better description could be:

Paragraph size limit to 65k bytes.
Comment 21 Urmas 2013-07-17 13:50:07 UTC
*** Bug 66993 has been marked as a duplicate of this bug. ***
Comment 22 bfoman (inactive) 2013-07-23 13:51:40 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Anyone working on this???
> No, I don't think so. Feel free to go on that one if you like.

Is it possible to reassign it to the default assignee to make it clearer which bugs should be fixed by someone else?
Comment 23 Caolán McNamara 2014-01-15 15:35:09 UTC
Fixed for 4.3 by http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba27366f3d6bc6b209ecd5c5cb79a9ee5315316a and a huge bunch of other similar stuff.
Comment 24 Khaled Hosny 2014-01-15 19:14:59 UTC
(In reply to comment #16)
> Normal languages have some spaces between words....

Many "normal" languages are written without any separators between words at all, this is hardly unheard of.